
libpikamath_sources_introspectable = files(
  'pikamatrix.c',
  'pikavector.c',
)

libpikamath_sources = [
  libpikamath_sources_introspectable,
]

libpikamath_headers_introspectable = files(
  'pikamathtypes.h',
  'pikamatrix.h',
  'pikavector.h',
)

libpikamath_headers = [
  libpikamath_headers_introspectable,
  'pikamath.h',
]

libpikamath_introspectable = [
  libpikamath_sources_introspectable,
  libpikamath_headers_introspectable,
]


libpikamath = library('pikamath-' + pika_api_version,
  libpikamath_sources,
  include_directories: rootInclude,
  dependencies: [
    glib, gobject, math,
  ],
  c_args: [ '-DG_LOG_DOMAIN="LibPikaMath"', '-DPIKA_MATH_COMPILATION', ],
  link_with: [
    libpikabase,
  ],
  vs_module_defs: 'pikamath.def',
  install: true,
  version: so_version,
)

install_headers(
  libpikamath_headers,
  subdir: pika_api_name / 'libpikamath',
)
